package ch.rakudave.jnetmap.model.factories;

import org.apache.commons.collections15.Factory;

import ch.rakudave.jnetmap.model.device.Device;
import ch.rakudave.jnetmap.model.device.Device.Type;
import ch.rakudave.jnetmap.model.device.Host;

/**
 * @author rakudave
 */
public class DeviceFactory implements Factory<Device> {
	private static Type type = Type.Workstation;
	private static String base64Icon;
	
	public DeviceFactory() {}

	@Override
	public Device create() {
		Host h = new Host(type);
		if (Type.Other.equals(type)) h.setOtherID(base64Icon);
		return h;
	}

	public static void setType(Type t) {
		if (t != null) type = t;
	}

	public static void setIcon(String base64Icon) {
		DeviceFactory.base64Icon = base64Icon;
	}
}
